import MT1000 from './MT1000'
import MT101 from './MT101'
import MT103 from './MT103'

import MT202 from './MT202'
import MT202COV from './MT202COV'
import MT210 from './MT210'

import MT300 from './MT300'
import MT305 from './MT305'
import MT320 from './MT320'
import MT360 from './MT360'

import MT400 from './MT400'
import MT410 from './MT410'
import MT412 from './MT412'
import MT420 from './MT420'
import MT422 from './MT422'
import MT499 from './MT499'

import MT535 from './MT535'
import MT536 from './MT536'
import MT537 from './MT537'
import MT538 from './MT538'
import MT540 from './MT540'
import MT541 from './MT541'
import MT542 from './MT542'
import MT543 from './MT543'
import MT544 from './MT544'
import MT545 from './MT545'
import MT546 from './MT546'
import MT547 from './MT547'
import MT548 from './MT548'
import MT564 from './MT564'
import MT565 from './MT565'
import MT566 from './MT566'
import MT567 from './MT567'


import MT600 from './MT600'
import MT605 from './MT605'
import MT607 from './MT607'
import MT620 from './MT620'

import MT700 from './MT700'
import MT701 from './MT701'
import MT707 from './MT707'
import MT710 from './MT710'
import MT711 from './MT711'
import MT720 from './MT720'
import MT721 from './MT721'
import MT730 from './MT730'
import MT732 from './MT732'
import MT734 from './MT734'
import MT740 from './MT740'
import MT742 from './MT742'
import MT747 from './MT747'
import MT750 from './MT750'
import MT752 from './MT752'
import MT754 from './MT754'
import MT756 from './MT756'
import MT759 from './MT759'
import MT760 from './MT760'
import MT767 from './MT767'
import MT768 from './MT768'
import MT769 from './MT769'
import MT799 from './MT799'

import MT940 from './MT940'
import MT950 from './MT950'

import MTn90 from './MTn90'
import MTn91 from './MTn91'
import MTn92 from './MTn92'
import MTn95 from './MTn95'
import MTn96 from './MTn96'
import MTn98 from './MTn98'
import MTn99 from './MTn99'
export default function MTFactory(mty) 
{
	if(mty=="mt1000")
		return MT1000
	if(mty=="mt101")
		return MT101
	if(mty=="mt103")
		return MT103
	if(mty=="mt202")
		return MT202
	if(mty=="mt202cov")
		return MT202COV
	if(mty=="mt202COV")
		return MT202COV
	if(mty=="mt210")
		return MT210
	if(mty=="mt300")
		return MT300
	if(mty=="mt305")
		return MT305
	if(mty=="mt320")
		return MT320
	if(mty=="mt360")
		return MT360
	if(mty=="mt400")
		return MT400
	if(mty=="mt410")
		return MT410
	if(mty=="mt412")
		return MT412
	if(mty=="mt420")
		return MT420
	if(mty=="mt422")
		return MT422
	if(mty=="mt499")
		return MT499
	if(mty=="mt535")
		return MT535
	if(mty=="mt536")
		return MT536
	if(mty=="mt537")
		return MT537
	if(mty=="mt538")
		return MT538
	if(mty=="mt540")
		return MT540
	if(mty=="mt541")
		return MT541
	if(mty=="mt542")
		return MT542
	if(mty=="mt543")
		return MT543
	if(mty=="mt544")
		return MT544
	if(mty=="mt545")
		return MT545
	if(mty=="mt546")
		return MT546
	if(mty=="mt547")
		return MT547
	if(mty=="mt548")
		return MT548
	if(mty=="mt564")
		return MT564
	if(mty=="mt565")
		return MT565
	if(mty=="mt566")
		return MT566
	if(mty=="mt567")
		return MT567
	if(mty=="mt600")
		return MT600
	if(mty=="mt605")
		return MT605
	if(mty=="mt607")
		return MT607
	if(mty=="mt620")
		return MT620
	if(mty=="mt700")
		return MT700
	if(mty=="mt701")
		return MT701
	if(mty=="mt707")
		return MT707		
	if(mty=="mt710")
		return MT710
	if(mty=="mt711")
		return MT711
	if(mty=="mt720")
		return MT720
	if(mty=="mt721")
		return MT721
	if(mty=="mt730")
		return MT730
	if(mty=="mt732")
		return MT732
	if(mty=="mt734")
		return MT734
	if(mty=="mt740")
		return MT740
	if(mty=="mt742")
		return MT742
	if(mty=="mt747")
		return MT747
	if(mty=="mt750")
		return MT750
	if(mty=="mt752")
		return MT752
	if(mty=="mt754")
		return MT754
	if(mty=="mt756")
		return MT756
	if(mty=="mt759")
		return MT759
	if(mty=="mt760")
		return MT760
	if(mty=="mt767")
		return MT767
	if(mty=="mt768")
		return MT768
	if(mty=="mt769")
		return MT769
	if(mty=="mt799")
		return MT799
	if(mty=="mt940")
		return MT940
	if(mty=="mt950")
		return MT950
	if(/mt\d90/.test(mty))
		return MTn90
	if(/mt\d91/.test(mty))
		return MTn91
	if(/mt\d92/.test(mty))
		return MTn92
	if(/mt\d95/.test(mty))
		return MTn95
	if(/mt\d96/.test(mty))
		return MTn96
	if(/mt\d98/.test(mty))
		return MTn98
	if(/mt\d99/.test(mty))
		return MTn99
}
